export type ColorType = {
    [colorType: string]: any;
}

export type PaletteColor = {
    main: string;
    contrastText: string;
    buttonState?: {
        hovered?: string;
        disabled?: string;
        pressed?: string;
        focused?: string;
        disabledText?: string;
    },
    darkMode?: {
        main: string;
        contrastText: string;
        buttonState?: {
            hovered?: string;
            hoveredText?: string;
            pressed?: string;
            pressedText?: string;
            focused?: string;
            disabled?: string;
        }
    }
};

export type Colors = {
    primary: PaletteColor;
    secondary: PaletteColor;
    accentColorA?: PaletteColor;
    accentColorB?: PaletteColor;
    accentColorC?: PaletteColor;
    success: PaletteColor;
    error: PaletteColor;
    warning: PaletteColor;
    info: PaletteColor;
}

export type CommonColors = {
    white: string;
    black: string;
}

export type PaletteColorNames = keyof Colors;

export type NuskinTheme = {
    palette?: Colors;
    colors?: ColorType;
}
